﻿<ui:AppliUserControl
             xmlns:ui="clr-namespace:Appli.Model.Class.UI"
             x:Class="Appli.Views.InternalsMovements"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
             mc:Ignorable="d"
             DataContext="{Binding RelativeSource={RelativeSource Self}}">


    <StackPanel Margin="20">
        <Label  HorizontalAlignment="Center"  FontSize="30">Mouvements internes</Label>
        <StackPanel Orientation="Horizontal" Margin="50,0,20,0">
            <TextBox Width="150" Margin="0,0,20,0" Name="Article" MaxLength="13" PreviewTextInput="PreviewTextInputOnlyNumbers"
                     DataObject.Pasting="TextBoxPastingOnlyNumbers" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"
                     Style="{DynamicResource MaterialDesignFloatingHintTextBox}" materialDesign:HintAssist.Hint="Code barre Article"></TextBox>
            <TextBox Width="150" Margin="0,0,20,0" Name="Douane" MaxLength="13" PreviewTextInput="PreviewTextInputOnlyNumbers"
                     DataObject.Pasting="TextBoxPastingOnlyNumbers" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"
                     Style="{DynamicResource MaterialDesignFloatingHintTextBox}" materialDesign:HintAssist.Hint="Numéro de douane"></TextBox>
        </StackPanel>
        <StackPanel Orientation="Horizontal" Margin="50,0,20,0">
            <TextBox Width="150" Margin="0,0,20,0" Name="Client" MaxLength="13" PreviewTextInput="PreviewTextInputOnlyNumbers"
                     DataObject.Pasting="TextBoxPastingOnlyNumbers" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"
                     Style="{DynamicResource MaterialDesignFloatingHintTextBox}" materialDesign:HintAssist.Hint="Numéro client"></TextBox>
            <TextBox Width="150" Margin="0,0,20,0" Name="Reception" MaxLength="13" PreviewTextInput="PreviewTextInputOnlyNumbers"
                     DataObject.Pasting="TextBoxPastingOnlyNumbers" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"
                     Style="{DynamicResource MaterialDesignFloatingHintTextBox}" materialDesign:HintAssist.Hint="Numéro de réception"></TextBox>
        </StackPanel>
        <StackPanel Orientation="Horizontal" Margin="50,0,20,0">
            <ComboBox Width="150" Margin="0,0,20,0" Name="DepositoriesCb" SelectionChanged="IndexChanged"
                      ItemsSource="{Binding Depositories}" DisplayMemberPath="Name" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"
                      Style="{DynamicResource MaterialDesignFloatingHintComboBox}" materialDesign:HintAssist.Hint="Dépot"></ComboBox>
            <ComboBox Visibility="Hidden" Width="150" Margin="0,0,20,0" Name="StoresCb" SelectionChanged="IndexChanged"
                      ItemsSource="{Binding Stores}" DisplayMemberPath="Name" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"
                      Style="{DynamicResource MaterialDesignFloatingHintComboBox}" materialDesign:HintAssist.Hint="Magasin"></ComboBox>
            <ComboBox Visibility="Hidden" Width="150" Margin="0,0,20,0" Name="PathsCb" SelectionChanged="IndexChanged"
                      ItemsSource="{Binding Paths}" DisplayMemberPath="Name"  Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"
                      Style="{DynamicResource MaterialDesignFloatingHintComboBox}" materialDesign:HintAssist.Hint="Chemin"></ComboBox>
        </StackPanel>
        <StackPanel Orientation="Horizontal"  Margin="50,0,20,0">
            <ComboBox Visibility="Hidden" Width="150" Margin="0,0,20,0" Name="RowsCb" PreviewTextInput="PreviewTextInputOnlyNumbers"
                      DataObject.Pasting="TextBoxPastingOnlyNumbers" ItemsSource="{Binding Rows}"
                      DisplayMemberPath="Name" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"
                      Style="{DynamicResource MaterialDesignFloatingHintComboBox}" materialDesign:HintAssist.Hint="Rangée"></ComboBox>
            <ComboBox Visibility="Hidden" Width="150" Margin="0,0,20,0" Name="PositionsCb" PreviewTextInput="PreviewTextInputOnlyNumbers"
                      DataObject.Pasting="TextBoxPastingOnlyNumbers"  ItemsSource="{Binding Positions}"  DisplayMemberPath="Name"
                      Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"
                      Style="{DynamicResource MaterialDesignFloatingHintComboBox}" materialDesign:HintAssist.Hint="Position"></ComboBox>
            <ComboBox Visibility="Hidden" Width="150" Margin="0,0,20,0" Name="FloorsCb" PreviewTextInput="PreviewTextInputOnlyNumbers"
                      DataObject.Pasting="TextBoxPastingOnlyNumbers"  ItemsSource="{Binding Floors}"  DisplayMemberPath="Id"
                      Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"
                      Style="{DynamicResource MaterialDesignFloatingHintComboBox}" materialDesign:HintAssist.Hint="Etage"></ComboBox>
        </StackPanel>
        <StackPanel Orientation="Horizontal" Margin="50,0,20,0">
            <Label Name="FilterSearchLabel">Filtrage : Inter Dépôt</Label>
            <ToggleButton Name="Change" HorizontalAlignment="Right" Click="Exec_Click" IsChecked="{Binding UtilisationCombobox}" ></ToggleButton>
            <Label>Afficher uniquement les mouvements validés</Label>
            <ToggleButton Name="Exec" HorizontalAlignment="Right" Click="Exec_Click" IsChecked="False"></ToggleButton>
        </StackPanel>
        <StackPanel Orientation="Horizontal" HorizontalAlignment="Center" >
            <Button x:Name="Search" Content="Recherche" Width="100" Height="25" Margin="10,0,0,0" Padding="0" Click="search_Click"/>
            <Button x:Name="Reinit" Content="Réinitialiser" Width="150" Height="25" Margin="10,0,0,0" Padding="0" Click="reinit_Click"></Button>
            <Button x:Name="Valider" Content="Valider Mouvement" Width="150" Height="25" Margin="10,0,0,0" Padding="0" Click="Valider_Click"></Button>
            <TextBlock x:Name="ErrorMessage" Text="" Margin="10,0,0,0" Padding="0" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"/>
        </StackPanel>
        <StackPanel Orientation="Horizontal" Margin="50,0,20,0">
            <StackPanel Orientation="Vertical">
                <TextBox Width="150" Margin="0,0,20,0" Name="CodebarreAddBegin" MaxLength="13" PreviewTextInput="PreviewTextInputOnlyNumbers"
                         DataObject.Pasting="TextBoxPastingOnlyNumbers" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"
                         Style="{DynamicResource MaterialDesignFloatingHintTextBox}" materialDesign:HintAssist.Hint="Adresse de départ"></TextBox>
                <TextBox Width="150" Margin="0,0,20,0" Name="CodebarreAddFinal" MaxLength="13" PreviewTextInput="PreviewTextInputOnlyNumbers"
                         DataObject.Pasting="TextBoxPastingOnlyNumbers" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"
                         Style="{DynamicResource MaterialDesignFloatingHintTextBox}" materialDesign:HintAssist.Hint="Adresse d'arrivée"></TextBox>
                <TextBox Width="150" Margin="0,0,20,0" Name="CodebarreProduct" MaxLength="13" PreviewTextInput="PreviewTextInputOnlyNumbers"
                         DataObject.Pasting="TextBoxPastingOnlyNumbers" Foreground="{DynamicResource PrimaryHueMidForegroundBrush}"
                         Style="{DynamicResource MaterialDesignFloatingHintTextBox}" materialDesign:HintAssist.Hint="Code barre produit"></TextBox>
            </StackPanel>
        </StackPanel>
        <DataGrid x:Name="GridMovements"
                      AlternatingRowBackground="#404040"
                      Margin="0"
                      HorizontalAlignment="Stretch"
                      VerticalAlignment="Stretch"
                      AutoGenerateColumns="False"
                      CanUserAddRows="False"
                      CanUserDeleteRows="False"
                      ItemsSource="{Binding MovementsShowed}"
                      SelectionMode="Single">
            <DataGrid.Columns>
                <DataGridTextColumn Binding="{Binding StartingFloorToString}"
                                        Header="Magasin de départ"
                                        CanUserResize="False"
                                        IsReadOnly="True"
                                        Width="*"/>
                <DataGridTextColumn Binding="{Binding FinalFloorToString}"
                                        Header="Magasin d'arrivée"
                                        CanUserResize="False"
                                        IsReadOnly="True"
                                        Width="*"/>
                <DataGridTextColumn Binding="{Binding MovedProduct.Wording}"
                                        Header="Produit mouvementé"
                                        CanUserResize="False"
                                        IsReadOnly="True"
                                        Width="*"/>
                <DataGridTextColumn Binding="{Binding Quantity}"
                                        Header="Quantitée mouvementée"
                                        CanUserResize="False"
                                        IsReadOnly="True"
                                        Width="*"/>
                <DataGridCheckBoxColumn Binding="{Binding Validate}"
                                        Header="Validé"
                                        CanUserResize="False"
                                        Width="*"/>
            </DataGrid.Columns>
        </DataGrid>
    </StackPanel>
</ui:AppliUserControl>
